- save_endpoint = local_assigns.fetch(:save_endpoint, nil)

- if ci_variable_protected_by_default?
  = render Pajamas::AlertComponent.new(variant: :warning, show_icon: false, dismissible: false,
    alert_options: { class: 'gl-mb-3'}) do |c|
    = c.body do
      - link_start = '<a href="%{url}">'.html_safe % { url: help_page_path('ci/variables/index', anchor: 'protect-a-cicd-variable') }
      = _('Environment variables are configured by your administrator to be %{link_start}protected%{link_end} by default.').html_safe % { link_start: link_start, link_end: '</a>'.html_safe }

- is_group = !@group.nil?
- is_project = !@project.nil?

#js-ci-variables{ data: { endpoint: save_endpoint,
  is_project: is_project.to_s,
  project_id: @project&.id || '',
  project_full_path: @project&.full_path || '',
  is_group: is_group.to_s,
  group_id: @group&.id || '',
  group_path: @group&.full_path,
  maskable_regex: ci_variable_maskable_regex,
  protected_by_default: ci_variable_protected_by_default?.to_s,
  aws_logo_svg_path: image_path('aws_logo.svg'),
  aws_tip_deploy_link: help_page_path('ci/cloud_deployment/index.md', anchor: 'deploy-your-application-to-ecs'),
  aws_tip_commands_link: help_page_path('ci/cloud_deployment/index.md', anchor: 'use-an-image-to-run-aws-commands'),
  aws_tip_learn_link: help_page_path('ci/cloud_deployment/index.md'),
  contains_variable_reference_link: help_page_path('ci/variables/index', anchor: 'prevent-cicd-variable-expansion'),
  masked_environment_variables_link: help_page_path('ci/variables/index', anchor: 'mask-a-cicd-variable'),
  environment_scope_link: help_page_path('ci/environments/index', anchor: 'limit-the-environment-scope-of-a-cicd-variable') } }

- if !@group && @project.group
  .settings-header.border-top.gl-mt-6
    = render 'ci/group_variables/header'
  .settings-content.pr-0
    = render 'ci/group_variables/index'
